MDD Lucinda for V4.2

MDD Lucinda for V4.2

Product Requirements: Poser 6/7/8/9 Poser Pro 2010,Poser Pro 2012, Victoria 4.2, Victoria 4.2 Morphs ++ (NOT tested in DAZ Studio)

Read more description:
http://www.renderosity.com/mod/bcs/index.php?ViewProduct=94562

Similar products

2 thoughts on “MDD Lucinda for V4.2

Leave a Reply